> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/packages/commits.md).

# Commits

## Overview

The commits view in the Servoy Cloud Control Center provides a comprehensive list of all modifications made between the last and the current build.

{% hint style="warning" %}
Please note Commits are only available for Build and Deploy or Build jobs.
{% endhint %}

## Details

Each entry in the Commits List includes the following details:

* **Commit Date**: The date when the commit was made.
* **Commit Title**: A brief description of the changes made in the commit.
* **Commit Author**: The user who made the commit.
* **Commit Hash**: A unique identifier for each commit, useful for tracking and referencing specific changes.

## How to access

You can navigate to the package commits by clicking on the commit count displayed in the following places:

* Commit count clickable stat in Pipelines > Current Package section
* Commit count clickable stat in Package Builds History

\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/packages/commits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
